import { _SERVICE as DataBucketActor } from '../canisters/data/data.did';
export declare const entries: <T, D>({ startsWith, notContains }: {
  startsWith?: string;
  notContains?: string;
}) => Promise<T[]>;
export declare const deleteData: ({ key, actor }: {
  key: string;
  actor?: DataBucketActor;
}) => Promise<void>;
export declare const getData: <T, D>({ key, actor }: {
  key: string;
  actor?: DataBucketActor;
}) => Promise<T>;
export declare const setData: <T, D>({ key, data, id, actor }: {
  key: string;
  data: D;
  id: string;
  actor?: DataBucketActor;
}) => Promise<T>;
